org.opencv.xfeatures2d

## Class Xfeatures2d

- java.lang.Object
- - org.opencv.xfeatures2d.Xfeatures2d

-     public class Xfeatures2d
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SURF_CUDA_ANGLE_ROW`
    `static int` | `SURF_CUDA_HESSIAN_ROW`
    `static int` | `SURF_CUDA_LAPLACIAN_ROW`
    `static int` | `SURF_CUDA_OCTAVE_ROW`
    `static int` | `SURF_CUDA_ROWS_COUNT`
    `static int` | `SURF_CUDA_SIZE_ROW`
    `static int` | `SURF_CUDA_X_ROW`
    `static int` | `SURF_CUDA_Y_ROW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Xfeatures2d()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `matchGMS(Size size1, Size size2, MatOfKeyPoint keypoints1, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, MatOfDMatch matchesGMS)` GMS (Grid-based Motion Statistics) feature matching strategy by CITE: Bian2017gms .
    `static void` | `matchGMS(Size size1, Size size2, MatOfKeyPoint keypoints1, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, MatOfDMatch matchesGMS, boolean withRotation)` GMS (Grid-based Motion Statistics) feature matching strategy by CITE: Bian2017gms .
    `static void` | `matchGMS(Size size1, Size size2, MatOfKeyPoint keypoints1, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, MatOfDMatch matchesGMS, boolean withRotation, boolean withScale)` GMS (Grid-based Motion Statistics) feature matching strategy by CITE: Bian2017gms .
    `static void` | `matchGMS(Size size1, Size size2, MatOfKeyPoint keypoints1, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, MatOfDMatch matchesGMS, boolean withRotation, boolean withScale, double thresholdFactor)` GMS (Grid-based Motion Statistics) feature matching strategy by CITE: Bian2017gms .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SURF_CUDA_X_ROW

          public static final int SURF_CUDA_X_ROW

      See Also:
        Constant Field Values

    - #### SURF_CUDA_Y_ROW

          public static final int SURF_CUDA_Y_ROW

      See Also:
        Constant Field Values

    - #### SURF_CUDA_LAPLACIAN_ROW

          public static final int SURF_CUDA_LAPLACIAN_ROW

      See Also:
        Constant Field Values

    - #### SURF_CUDA_OCTAVE_ROW

          public static final int SURF_CUDA_OCTAVE_ROW

      See Also:
        Constant Field Values

    - #### SURF_CUDA_SIZE_ROW

          public static final int SURF_CUDA_SIZE_ROW

      See Also:
        Constant Field Values

    - #### SURF_CUDA_ANGLE_ROW

          public static final int SURF_CUDA_ANGLE_ROW

      See Also:
        Constant Field Values

    - #### SURF_CUDA_HESSIAN_ROW

          public static final int SURF_CUDA_HESSIAN_ROW

      See Also:
        Constant Field Values

    - #### SURF_CUDA_ROWS_COUNT

          public static final int SURF_CUDA_ROWS_COUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Xfeatures2d

          public Xfeatures2d()

  - ### Method Detail

    - #### matchGMS

          public static void matchGMS(Size size1,
                                      Size size2,
                                      MatOfKeyPoint keypoints1,
                                      MatOfKeyPoint keypoints2,
                                      MatOfDMatch matches1to2,
                                      MatOfDMatch matchesGMS,
                                      boolean withRotation,
                                      boolean withScale,
                                      double thresholdFactor)

      GMS (Grid-based Motion Statistics) feature matching strategy by CITE: Bian2017gms .
      Parameters:
        `size1` - Input size of image1.
        `size2` - Input size of image2.
        `keypoints1` - Input keypoints of image1.
        `keypoints2` - Input keypoints of image2.
        `matches1to2` - Input 1-nearest neighbor matches.
        `matchesGMS` - Matches returned by the GMS matching strategy.
        `withRotation` - Take rotation transformation into account.
        `withScale` - Take scale transformation into account.
        `thresholdFactor` - The higher, the less matches. Note: Since GMS works well when the number of features is large, we recommend to use the ORB feature and set FastThreshold to 0 to get as many as possible features quickly. If matching results are not satisfying, please add more features. (We use 10000 for images with 640 X 480). If your images have big rotation and scale changes, please set withRotation or withScale to true.

    - #### matchGMS

          public static void matchGMS(Size size1,
                                      Size size2,
                                      MatOfKeyPoint keypoints1,
                                      MatOfKeyPoint keypoints2,
                                      MatOfDMatch matches1to2,
                                      MatOfDMatch matchesGMS,
                                      boolean withRotation,
                                      boolean withScale)

      GMS (Grid-based Motion Statistics) feature matching strategy by CITE: Bian2017gms .
      Parameters:
        `size1` - Input size of image1.
        `size2` - Input size of image2.
        `keypoints1` - Input keypoints of image1.
        `keypoints2` - Input keypoints of image2.
        `matches1to2` - Input 1-nearest neighbor matches.
        `matchesGMS` - Matches returned by the GMS matching strategy.
        `withRotation` - Take rotation transformation into account.
        `withScale` - Take scale transformation into account. Note: Since GMS works well when the number of features is large, we recommend to use the ORB feature and set FastThreshold to 0 to get as many as possible features quickly. If matching results are not satisfying, please add more features. (We use 10000 for images with 640 X 480). If your images have big rotation and scale changes, please set withRotation or withScale to true.

    - #### matchGMS

          public static void matchGMS(Size size1,
                                      Size size2,
                                      MatOfKeyPoint keypoints1,
                                      MatOfKeyPoint keypoints2,
                                      MatOfDMatch matches1to2,
                                      MatOfDMatch matchesGMS,
                                      boolean withRotation)

      GMS (Grid-based Motion Statistics) feature matching strategy by CITE: Bian2017gms .
      Parameters:
        `size1` - Input size of image1.
        `size2` - Input size of image2.
        `keypoints1` - Input keypoints of image1.
        `keypoints2` - Input keypoints of image2.
        `matches1to2` - Input 1-nearest neighbor matches.
        `matchesGMS` - Matches returned by the GMS matching strategy.
        `withRotation` - Take rotation transformation into account. Note: Since GMS works well when the number of features is large, we recommend to use the ORB feature and set FastThreshold to 0 to get as many as possible features quickly. If matching results are not satisfying, please add more features. (We use 10000 for images with 640 X 480). If your images have big rotation and scale changes, please set withRotation or withScale to true.

    - #### matchGMS

          public static void matchGMS(Size size1,
                                      Size size2,
                                      MatOfKeyPoint keypoints1,
                                      MatOfKeyPoint keypoints2,
                                      MatOfDMatch matches1to2,
                                      MatOfDMatch matchesGMS)

      GMS (Grid-based Motion Statistics) feature matching strategy by CITE: Bian2017gms .
      Parameters:
        `size1` - Input size of image1.
        `size2` - Input size of image2.
        `keypoints1` - Input keypoints of image1.
        `keypoints2` - Input keypoints of image2.
        `matches1to2` - Input 1-nearest neighbor matches.
        `matchesGMS` - Matches returned by the GMS matching strategy. Note: Since GMS works well when the number of features is large, we recommend to use the ORB feature and set FastThreshold to 0 to get as many as possible features quickly. If matching results are not satisfying, please add more features. (We use 10000 for images with 640 X 480). If your images have big rotation and scale changes, please set withRotation or withScale to true.

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8